From 1cfbc2819d41418abfa5ca885694338859ebb395 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Tue, 6 Jan 2015 16:35:21 -0500
Subject: buglist: bug 7288: TexFormat radix escapes characters

radix(10^100,32)::TEX

   (1)
   ["$$",

    "4#\I9#\L#\K#\I#\P9#\G#\R#\S#\T#\C5#\I#\F164#\P#\O5#\V72#\M#\E827226#\J#\S#
    \L#\A#\P462585#\Q7#\H00000000000000000000"
     ,
    "$$"]
                                                              Type: TexFormat
---
 buglist                        |   16 +++++++++++++++-
 changelog                      |    2 ++
 patch                          |   13 +++++++++----
 src/axiom-website/patches.html |    2 ++
 4 files changed, 28 insertions(+), 5 deletions(-)

diff --git a/buglist b/buglist
index 296a76e..126ad2a 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7288: 
+bug 7289: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,20 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7288: TexFormat radix escapes characters
+
+radix(10^100,32)::TEX
+
+   (1)
+   ["$$",
+
+    "4#\I9#\L#\K#\I#\P9#\G#\R#\S#\T#\C5#\I#\F164#\P#\O5#\V72#\M#\E827226#\J#\S#
+    \L#\A#\P462585#\Q7#\H00000000000000000000"
+     ,
+    "$$"]
+                                                              Type: TexFormat
+
+=========================================================================
 bug 7287: TexFormat is incorrect
 
 )set output fraction horizontal
diff --git a/changelog b/changelog
index 3882bc1..e8dbe25 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150106 tpd src/axiom-website/patches.html 20150106.12.tpd.patch
+20151016 tpd buglist: bug 7288: TexFormat radix escapes characters
 20150106 tpd src/axiom-website/patches.html 20150106.11.tpd.patch
 20150106 tpd buglist: bug 7287: TexFormat is incorrect
 20150106 tpd src/axiom-website/patches.html 20150106.10.tpd.patch
diff --git a/patch b/patch
index d222e7b..b5fe872 100644
--- a/patch
+++ b/patch
@@ -1,8 +1,13 @@
-buglist: bug 7287: TexFormat is incorrect
+buglist: bug 7288: TexFormat radix escapes characters
 
-)set output fraction horizontal
-(1) -> (1/2)::TEX
+radix(10^100,32)::TEX
 
-   (1)  ["$$","SLASH ","\left(","{1, \: 2} ","\right)","$$"]
+   (1)
+   ["$$",
+
+    "4#\I9#\L#\K#\I#\P9#\G#\R#\S#\T#\C5#\I#\F164#\P#\O5#\V72#\M#\E827226#\J#\S#
+    \L#\A#\P462585#\Q7#\H00000000000000000000"
+     ,
+    "$$"]
                                                               Type: TexFormat
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e0e8a4b..1eff64a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4918,6 +4918,8 @@ buglist: bug 7285: tracing of Kernel failed<br/>
 buglist: bug 7286: UPS arithmetic fails<br/>
 <a href="patches/20150106.11.tpd.patch">20150106.11.tpd.patch</a>
 buglist: bug 7287: TexFormat is incorrect<br/>
+<a href="patches/20150106.12.tpd.patch">20150106.12.tpd.patch</a>
+buglist: bug 7288: TexFormat radix escapes characters<br/>
  </body>
 </html>
 
-- 
1.7.5.4

